<?php

namespace common\modules\rubrication\models;

use Yii;

/**
 * This is the model class for table "{{%tax_value_string}}".
 *
 * @property integer $tax_value_id
 * @property integer $tax_option_id
 * @property string $value
 *
 * @property TaxOption $taxOption
 */
class TaxValueString extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'tax_value_string';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['tax_option_id'], 'required'],
            [['tax_option_id'], 'integer'],
            [['value'], 'string', 'max' => 255],
            [['tax_option_id'], 'exist', 'skipOnError' => true, 'targetClass' => TaxOption::className(), 'targetAttribute' => ['tax_option_id' => 'tax_option_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'tax_value_id' => Yii::t('rubrication', 'Tax Value ID'),
            'tax_option_id' => Yii::t('rubrication', 'Tax Option ID'),
            'value' => Yii::t('rubrication', 'Value'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getTaxOption()
    {
        return $this->hasOne(TaxOption::className(), ['tax_option_id' => 'tax_option_id'])->inverseOf('taxValueStrings');
    }
}
